#
# Copyright (c) 2003 Linuxant inc.
# Copyright (c) 2001-2003 Conexant Systems, Inc.
#
# NOTE: The use and distribution of this software is governed by the terms in
# the file LICENSE, which is included in the package. You must read this and
# agree to these terms before using or distributing this software.
#

-include $(TOP)/imported/makeflags.mak

# The version string specified here is propagated everywhere
HSFLINUXVERSION=$(IMPORTED_HSFLINUXVERSION)
HSFLINUXRPM_REL=1

ifeq ($(IMPORTED_SCR_SUPPORT),yes)
HSFLINUXVERSION:=$(HSFLINUXVERSION)scr
endif
ifeq ($(IMPORTED_DMP_SUPPORT),yes)
HSFLINUXVERSION:=$(HSFLINUXVERSION)dmp
endif

ROOT=
PREFIX=$(ROOT)/usr

ETCDIR=$(ROOT)/etc
SBINDIR=$(PREFIX)/sbin
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib

HSFETCDIR=$(ETCDIR)/hsf
HSFINFDIR=$(HSFETCDIR)/inf

HSFSBINDIR=$(SBINDIR)
HSFBINDIR=$(BINDIR)

HSFLIBDIR=$(LIBDIR)/hsf
HSFMODDIR=$(HSFLIBDIR)/modules

INSTALL= install
MKDIR=   mkdir -m 755

HSFBININF_FILE= $(HSFETCDIR)/nvram.bin
HSFFIRMWR_FILE= $(HSFETCDIR)/firmware.bin

# Default values; these are usually overriden by module options in
# /etc/modules.conf so they shouldn't need to be changed here
HSFSERIALMAJOR=240
HSFCALOUTMAJOR=241
HSFSERIALMINOR=64

HSFSCRDMPMAJOR=242

