/*
 * Copyright (c) 2003 Linuxant inc.
 * Copyright (c) 2001-2003 Conexant Systems, Inc.
 *
 * NOTE: The use and distribution of this software is governed by the terms in
 * the file LICENSE, which is included in the package. You must read this and
 * agree to these terms before using or distributing this software.
 *
 */
#include "oscompat.h"

MODULE_AUTHOR("Conexant Systems Inc.");
MODULE_DESCRIPTION("HSF low-level driver for ALI MC97 controller");
MODULE_LICENSE("Copyright (C) 1996-2002 Conexant Systems Inc. All Rights Reserved.");

// MARCXXX add MODULE_DEVICE_TABLE(pci, ...)

void *GetAliFuncs(void);


#ifdef HAVE_INTER_MODULE

int init_module(void)
{
	inter_module_register("GetAliFuncs", THIS_MODULE, GetAliFuncs);
	return 0;
}

void cleanup_module(void)
{
	inter_module_unregister("GetAliFuncs");
}

#else

EXPORT_SYMBOL_NOVERS(GetAliFuncs);
#endif // HAVE_INTER_MODULE
