/*
 * Copyright (c) 2003 Linuxant inc.
 * Copyright (c) 2001-2003 Conexant Systems, Inc.
 *
 * NOTE: The use and distribution of this software is governed by the terms in
 * the file LICENSE, which is included in the package. You must read this and
 * agree to these terms before using or distributing this software.
 *
 */
#include "oscompat.h"

MODULE_AUTHOR("Conexant Systems Inc.");
MODULE_DESCRIPTION("HSF low-level driver for yukon hardware");
MODULE_LICENSE("Copyright (C) 1996-2001 Conexant Systems Inc. All Rights Reserved.");

// MARCXXX add MODULE_DEVICE_TABLE(pci, ...)

void *GetYukonFuncs(void);


#ifdef HAVE_INTER_MODULE

int init_module(void)
{
	inter_module_register("GetYukonFuncs", THIS_MODULE, GetYukonFuncs);
	return 0;
}

void cleanup_module(void)
{
	inter_module_unregister("GetYukonFuncs");
}

#else

EXPORT_SYMBOL_NOVERS(GetYukonFuncs);
#endif // HAVE_INTER_MODULE

