/*
 * Copyright (c) 2003 Linuxant inc.
 * Copyright (c) 2001-2003 Conexant Systems, Inc.
 *
 * NOTE: The use and distribution of this software is governed by the terms in
 * the file LICENSE, which is included in the package. You must read this and
 * agree to these terms before using or distributing this software.
 *
 */
#ifndef __OSUNIQREDEF_H__
#define __OSUNIQREDEF_H__

#define _OSUNIQDEF(f) cnxthsf_##f
#define _OSUNIQDEF_STR(f) "cnxthsf_"#f

/* Add CNXTOSUNIQPRFX to all generic external function names in order to
   prevent collisions with other modules potentially using the same names */

#define LinuxCalcCpuRate _OSUNIQDEF(LinuxCalcCpuRate)
#define LinuxGetHwPciRes _OSUNIQDEF(LinuxGetHwPciRes)
#define LinuxInitPowerManagement _OSUNIQDEF(LinuxInitPowerManagement)
#define LinuxTermPowerManagement _OSUNIQDEF(LinuxTermPowerManagement)
#define LinuxHookInterrupt _OSUNIQDEF(LinuxHookInterrupt)
#define LinuxIoReadb _OSUNIQDEF(LinuxIoReadb)
#define LinuxIoReadl _OSUNIQDEF(LinuxIoReadl)
#define LinuxIoReadw _OSUNIQDEF(LinuxIoReadw)
#define LinuxIoWriteb _OSUNIQDEF(LinuxIoWriteb)
#define LinuxIoWritel _OSUNIQDEF(LinuxIoWritel)
#define LinuxIoWritew _OSUNIQDEF(LinuxIoWritew)
#define LinuxMapPhys _OSUNIQDEF(LinuxMapPhys)
#define LinuxPciReadConfigdw _OSUNIQDEF(LinuxPciReadConfigdw)
#define LinuxPciReadConfigw _OSUNIQDEF(LinuxPciReadConfigw)
#define LinuxPciReadConfigb _OSUNIQDEF(LinuxPciReadConfigb)
#define LinuxPciWriteConfigdw _OSUNIQDEF(LinuxPciWriteConfigdw)
#define LinuxPciWriteConfigw _OSUNIQDEF(LinuxPciWriteConfigw)
#define LinuxPciWriteConfigb _OSUNIQDEF(LinuxPciWriteConfigb)
#define LinuxReadl _OSUNIQDEF(LinuxReadl)
#define LinuxReadw _OSUNIQDEF(LinuxReadw)
#define LinuxUnhookInterrupt _OSUNIQDEF(LinuxUnhookInterrupt)
#define LinuxWritel _OSUNIQDEF(LinuxWritel)
#define LinuxWritew _OSUNIQDEF(LinuxWritew)
#define NVM_Close _OSUNIQDEF(NVM_Close)
#define NVM_Open _OSUNIQDEF(NVM_Open)
#define NVM_Read _OSUNIQDEF(NVM_Read)
#define NVM_Write _OSUNIQDEF(NVM_Write)
#define mdmthrd _OSUNIQDEF(mdmthrd)
#define OsModemThreadSchedule _OSUNIQDEF(OsModemThreadSchedule)
#define OSCancelTimer _OSUNIQDEF(OSCancelTimer)
#define OSChangeTimerTimeOut _OSUNIQDEF(OSChangeTimerTimeOut)
#define OSCreatePeriodicTimeOut _OSUNIQDEF(OSCreatePeriodicTimeOut)
#define OSCreateTimer _OSUNIQDEF(OSCreateTimer)
#define OSCriticalSectionAcquire _OSUNIQDEF(OSCriticalSectionAcquire)
#define OSCriticalSectionDestroy _OSUNIQDEF(OSCriticalSectionDestroy)
#define OSCriticalSectionRelease _OSUNIQDEF(OSCriticalSectionRelease)
#define OSDestroyPeriodicTimeOut _OSUNIQDEF(OSDestroyPeriodicTimeOut)
#define OSDestroyTimer _OSUNIQDEF(OSDestroyTimer)
#define OSFloatPrefix _OSUNIQDEF(OSFloatPrefix)
#define OSFloatSuffix _OSUNIQDEF(OSFloatSuffix)
#define OSGetSystemTime _OSUNIQDEF(OSGetSystemTime)
#define OSInitTime _OSUNIQDEF(OSInitTime)
#define OSRestoreTimeSensitivity _OSUNIQDEF(OSRestoreTimeSensitivity)
#define OSSemaphoreCreate _OSUNIQDEF(OSSemaphoreCreate)
#define OSSemaphoreDestroy _OSUNIQDEF(OSSemaphoreDestroy)
#define OSSemaphoreSignal _OSUNIQDEF(OSSemaphoreSignal)
#define OSSemaphoreWait _OSUNIQDEF(OSSemaphoreWait)
#define OSSetPeriodicTimeOut _OSUNIQDEF(OSSetPeriodicTimeOut)
#define OSSetTimeSensitivity _OSUNIQDEF(OSSetTimeSensitivity)
#define OSSetTimer _OSUNIQDEF(OSSetTimer)
#define OSSprintfFixedArgs _OSUNIQDEF(OSSprintfFixedArgs)
#define OsAtomicAdd _OSUNIQDEF(OsAtomicAdd)
#define OsAtomicCompareAndSwap _OSUNIQDEF(OsAtomicCompareAndSwap)
#define OsAtomicDecrement _OSUNIQDEF(OsAtomicDecrement)
#define OsAtomicIncrement _OSUNIQDEF(OsAtomicIncrement)
#define OsLocksHeld _OSUNIQDEF(OsLocksHeld)
#define OsObtainedLock _OSUNIQDEF(OsObtainedLock)
#define OsReleasedLock _OSUNIQDEF(OsReleasedLock)
#define OsDebugBreakpoint _OSUNIQDEF(OsDebugBreakpoint)
#define OsDebugDumpData _OSUNIQDEF(OsDebugDumpData)
#define OsDebugPrintf _OSUNIQDEF(OsDebugPrintf)
#define OsDebugVPrintf _OSUNIQDEF(OsDebugVPrintf)
#define OsErrorPrintf _OSUNIQDEF(OsErrorPrintf)
#define OsErrorVPrintf _OSUNIQDEF(OsErrorVPrintf)
#define OsFClose _OSUNIQDEF(OsFClose)
#define OsFOpen _OSUNIQDEF(OsFOpen)
#define OsFRead _OSUNIQDEF(OsFRead)
#define OsFSeek _OSUNIQDEF(OsFSeek)
#define OsFWrite _OSUNIQDEF(OsFWrite)
#define OsGetPageSize _OSUNIQDEF(OsGetPageSize)
#define OsHeapAllocate _OSUNIQDEF(OsHeapAllocate)
#define OsHeapFree _OSUNIQDEF(OsHeapFree)
#define OsIsDigit _OSUNIQDEF(OsIsDigit)
#define OsMemCmp _OSUNIQDEF(OsMemCmp)
#define OsMemCpy _OSUNIQDEF(OsMemCpy)
#define OsMemDMAAllocate _OSUNIQDEF(OsMemDMAAllocate)
#define OsMemDMAFree _OSUNIQDEF(OsMemDMAFree)
#define OsMemMove _OSUNIQDEF(OsMemMove)
#define OsMemSet _OSUNIQDEF(OsMemSet)
#define OsModuleSymGet _OSUNIQDEF(OsModuleSymGet)
#define OsModuleSymPut _OSUNIQDEF(OsModuleSymPut)
#define OsModuleUseCountDec _OSUNIQDEF(OsModuleUseCountDec)
#define OsModuleUseCountInc _OSUNIQDEF(OsModuleUseCountInc)
#define OsPageFree _OSUNIQDEF(OsPageFree)
#define OsPageReserve _OSUNIQDEF(OsPageReserve)
#define OsSleep _OSUNIQDEF(OsSleep)
#define	OsGlobalProcessorFreq _OSUNIQDEF(OsGlobalProcessorFreq)
#define	OsGetMuSecStartStamp _OSUNIQDEF(OsGetMuSecStartStamp)
#define	OsDeltaTimeMuSec _OSUNIQDEF(OsDeltaTimeMuSec)
#define	OsBusyLoopMuSec _OSUNIQDEF(OsBusyLoopMuSec)
#define	OsBusyLoopMilliSec _OSUNIQDEF(OsBusyLoopMilliSec)
#define OsSprintf _OSUNIQDEF(OsSprintf)
#define OsStrCat _OSUNIQDEF(OsStrCat)
#define OsStrCmp _OSUNIQDEF(OsStrCmp)
#define OsStrCpy _OSUNIQDEF(OsStrCpy)
#define OsStrLen _OSUNIQDEF(OsStrLen)
#define OsStrnCat _OSUNIQDEF(OsStrnCat)
#define OsStrnCmp _OSUNIQDEF(OsStrnCmp)
#define OsStrnCpy _OSUNIQDEF(OsStrnCpy)
#define OsTolower _OSUNIQDEF(OsTolower)
#define OsToupper _OSUNIQDEF(OsToupper)
#define Osatoi _OSUNIQDEF(Osatoi)
#define __OSCriticalSectionCreate _OSUNIQDEF(__OSCriticalSectionCreate)
#define crit_section_end _OSUNIQDEF(crit_section_end)
#define crit_section_start _OSUNIQDEF(crit_section_start)

#define GetBasic2Funcs _OSUNIQDEF(GetBasic2Funcs)
#define GetIchFuncs _OSUNIQDEF(GetIchFuncs)
#define GetViaFuncs _OSUNIQDEF(GetViaFuncs)
#define GetAliFuncs _OSUNIQDEF(GetAliFuncs)
#define GetYukonFuncs _OSUNIQDEF(GetYukonFuncs)

#define ComCtrlGetInterface _OSUNIQDEF(ComCtrlGetInterface)

#endif /* __OSUNIQREDEF_H__ */
